Ubuntu Xenial runtime install failure

Return to Installation

Ubuntu Xenial runtime install failure

Postby dialNforNinja » Sat Jun 03, 2017 4:10 pm

Following the instructions here:
http://www.panda3d.org/download.php?pla ... .4&runtime
(and having remembered to swap in "xenial" for "yakkety") and then using
Code: Select all
sudo apt-get install panda3s-runtime

in the command line, this is what I get:
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package panda3d-runtime is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'panda3d-runtime' has no installation candidate

Upon telling apt to search for things named panda3d, it returns:
Code: Select all
Package: panda3d1.9
Version: 1.9.4~xenial
Priority: optional
Essential: no
Section: libdevel
Maintainer: rdb <me@rdb.name>
Installed-Size: 160 MB
Provides: panda3d
Depends: libavcodec-ffmpeg56 (>= 7:2.4) | libavcodec-ffmpeg-extra56 (>= 7:2.4), libavformat-ffmpeg56 (>= 7:2.4), libavutil-ffmpeg54 (>= 7:2.4), libbulletcollision2.83.6, libbulletdynamics2.83.6, libbulletsoftbody2.83.6, libc6 (>= 2.15), libcg (>= 3.0.0007), libcggl (>= 3.1.0010), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.0), libgl1-mesa-glx | libgl1, libjpeg8 (>= 8c), liblinearmath2.83.6, libode4, libopenal1 (>= 1.14), libpng12-0 (>= 1.2.13-4), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 5.2), libswresample-ffmpeg1 (>= 7:2.4), libswscale-ffmpeg3 (>= 7:2.4), libtiff5 (>= 4.0.3), libvorbisfile3 (>= 1.1.2), libx11-6, libxcursor1 (>> 1.1.2), libxrandr2 (>= 4.3), libxxf86dga1, zlib1g (>= 1:1.1.4), python2.7, nvidia-cg-toolkit
Recommends: libc6 (>= 2.14), libgcc1 (>= 1:3.0), libglib2.0-0 (>= 2.12.0), libgtk2.0-0 (>= 2.8.0), libpango-1.0-0 (>= 1.14.0), libpython2.7 (>= 2.7), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 5.2), python-wxversion, python-profiler (>= 2.7), python-pmw, python-tk (>= 2.7)
Suggests: panda3d-runtime
Conflicts: panda3d
Replaces: panda3d
Download-Size: 31.7 MB
APT-Sources: http://archive.panda3d.org/ubuntu xenial/main amd64 Packages
Description: Panda3D free 3D engine SDK
 Panda3D is a game engine which includes graphics, audio, I/O, collision detection, and other abilities relevant to the creation of 3D games. Panda3D is open source and free software under the revised BSD license, and can be used for both free and commercial game development at no financial cost.
 Panda3D's intended game-development language is Python. The engine itself is written in C++, and utilizes an automatic wrapper-generator to expose the complete functionality of the engine in a Python interface.
 .
 This package contains the SDK for development with Panda3D, install panda3d-runtime for the runtime files.

So, that much is proper, I can install the SDK, but where do I go for the runtime to actually play the examples and whatever horrific hack job I put together before getting discouraged and giving up on making a playable crossbreed of Pokemon and Disgaea in favor of modeling more random strange 3d critters, Kawamori-inspired robots, and funny little buildings?
dialNforNinja
 
Posts: 10
Joined: Wed May 16, 2012 9:45 pm
Location: screentanning on the keys

Re: Ubuntu Xenial runtime install failure

Postby dialNforNinja » Tue Jun 06, 2017 2:07 pm

Well, I still don't know about getting the runtime installed, but the python version of the samples seem to work fine using the normal "run" button in Eclipse with PyDev, or from a command line with "python filename.py"

I suppose that'll probably work for as much as I'm likely to accomplish, but I have no idea what it would take to distribute any results as a clickable application.
dialNforNinja
 
Posts: 10
Joined: Wed May 16, 2012 9:45 pm
Location: screentanning on the keys

Re: Ubuntu Xenial runtime install failure

Postby Odexi » Mon Jan 08, 2018 5:07 pm

Adding to this older topic...

I am unable to install the runtime on ubuntu xenial. I followed all instructions as from the download page.
I used of course:

deb http://archive.panda3d.org/ubuntu xenial main

However when I update the packages there is no panda3d runtime in the list of available packages.
However, I can see by accessing the website with a browser that the packages are there.
Anything not working maybe? Or is there a way to grab the package in an alternative way?

Ode
Odexi
 
Posts: 43
Joined: Thu Dec 18, 2014 9:51 pm

Re: Ubuntu Xenial runtime install failure

Postby Odexi » Mon Jan 08, 2018 5:15 pm

Actually, I might be wrong, but there is one package which seems to be the panda1.9 SDK, not the runtime.
Is that correct? Then how do I download the runtime? And in case, could it be possible to update the download page with the correct infos?

Ode
Odexi
 
Posts: 43
Joined: Thu Dec 18, 2014 9:51 pm

Re: Ubuntu Xenial runtime install failure

Postby Odexi » Mon Jan 08, 2018 5:24 pm

Ok, I found the runtime, grubbed it and installed. However the procedure detailed on the Download page is incorrect. It would be great if you could post the correct procedure.

Cheers

Ode
Odexi
 
Posts: 43
Joined: Thu Dec 18, 2014 9:51 pm

Re: Ubuntu Xenial runtime install failure

Postby Moguri » Tue Jan 09, 2018 12:15 pm

Odexi wrote:Ok, I found the runtime, grubbed it and installed. However the procedure detailed on the Download page is incorrect. It would be great if you could post the correct procedure.

Cheers

Ode


Could you list what you expect the correct procedure is and how that differs from the description on the download page? A bug report (https://github.com/panda3d/panda3d/issues) would also be useful for tracking this issue, but I can make one for you if you provide details on what is wrong.
Moguri
 
Posts: 58
Joined: Fri May 15, 2015 1:35 pm


Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest